import Dir from './Dir.js';
/**
 * Finds the dir by going down the tree based on the path.
 * @param rootDir The known root dir
 * @param path The path relative to the root dir
 * @returns The dir. The dirs path is the `dirname(path)`.
 * Returns `undefined` if one ancestor dir doesn't exist
 */
declare const getParentDir: (rootDir: Dir, path: string) => Dir | undefined;
export default getParentDir;
